PHP Handbuch
Zurück |  | Weiter

# XMLReader->open

(no version information, might be only in CVS)

XMLReader->open -- URI angeben, die auf XML-Inhalt verweist, der geparst werden soll

## Beschreibung

class XMLReader {
bool open ( string URI [, string encoding [, int options]] )
}

URI angeben, die auf XML-Inhalt verweist, der geparst werden soll.

## Parameter Liste

`URI`

  URI die auf den XML-Inhalt verweist.

`encoding`

  Dokumentkodierung oder `NULL`.

`options`

  Bitmaske mit XMLReader-Options-Konstanten.

## Rückgabewerte

Gibt bei Erfolg `TRUE` zurück, im Fehlerfall `FALSE`.

## ChangeLog

Version | Beschreibung
--- | ---
5.2.0 | `encoding` und `options` wurden ergänzt.

## Siehe auch

XMLReader->XML
XMLReader->close

Zurück | Zum Anfang | Weiter
XMLReader->next | Nach oben | XMLReader->read